## r-cran-av 0.5.1%2Bdfsg

=== DESCRIPTION ===
Package: av
Type: Package
Title: Working with Audio and Video in R
Version: 0.5.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'FFmpeg' <http://www.ffmpeg.org/> AV library for working with 
    audio and video in R. Generates high quality video from images or R graphics with 
    custom audio. Also offers high performance tools for reading raw audio, creating
    'spectrograms', and converting between countless audio / video formats. This package 
    interfaces directly to the C API and does not require any command line utilities.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/av/ (website),
        https://github.com/ropensci/av (devel)
BugReports: https://github.com/ropensci/av/issues
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
SystemRequirements: FFmpeg (>= 3.2); with at least libx264 and lame
        (mp3) drivers. Debian/Ubuntu: libavfilter-dev, Fedora/CentOS:
        ffmpeg-devel (via https://rpmfusion.org), MacOS Homebrew:
        ffmpeg.
Depends: R (>= 3.5)
Imports: graphics
Config/pkgdown: seewave, ggplot2, phonTools, signal, tuneR
Suggests: testthat, ps, ggplot2, gapminder
Language: en-US
NeedsCompilation: yes
Packaged: 2020-09-28 13:43:26 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-09-28 14:30:03 UTC

## r-cran-av 0.5.0+dfsg

=== debian/changelog ===
r-cran-av (0.5.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Generate empty mp3 file with ffmpeg with a sample rate
    supported by all formats used in the tests (Closes: #965153)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Jun 2020 11:31:26 +0200

r-cran-av (0.5.0+dfsg-3) unstable; urgency=medium

  * Provide mp3 example properly
    Closes: #960998

 -- Andreas Tille <tille@debian.org>  Wed, 20 May 2020 09:34:42 +0200

r-cran-av (0.5.0+dfsg-2) unstable; urgency=medium

  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Apr 2020 07:58:31 +0200

r-cran-av (0.5.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #956058)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2020 08:47:02 +0200

=== debian/control ===
Source: r-cran-av
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               libavfilter-dev,
               ffmpeg
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
Homepage: https://cran.r-project.org/package=av
Rules-Requires-Root: no

Package: r-cran-av
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: working with Audio and Video in GNU R
 Bindings to 'FFmpeg' <http://www.ffmpeg.org/> AV library for working
 with audio and video in R. Generates high quality video from images or R
 graphics with custom audio. Also offers high performance tools for
 reading raw audio, creating 'spectrograms', and converting between
 countless audio / video formats. This package interfaces directly to the
 C API and does not require any command line utilities.

## r-cran-av 0.5.1+dfsg

=== debian/changelog ===
r-cran-av (0.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 11:23:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libavfilter-dev,

## r-cran-av 0.7.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: av
 Type: Package
 Title: Working with Audio and Video in R
-Version: 0.5.1
+Version: 0.7.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'FFmpeg' <http://www.ffmpeg.org/> AV library for working with 
@@ -14,7 +14,6 @@
         https://github.com/ropensci/av (devel)
 BugReports: https://github.com/ropensci/av/issues
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.0
 SystemRequirements: FFmpeg (>= 3.2); with at least libx264 and lame
         (mp3) drivers. Debian/Ubuntu: libavfilter-dev, Fedora/CentOS:
@@ -26,8 +25,8 @@
 Suggests: testthat, ps, ggplot2, gapminder
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2020-09-28 13:43:26 UTC; jeroen
+Packaged: 2022-02-08 14:53:32 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2020-09-28 14:30:03 UTC
+Date/Publication: 2022-02-08 15:50:08 UTC

=== debian/changelog ===
r-cran-av (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1004814

 -- Andreas Tille <tille@debian.org>  Wed, 09 Feb 2022 15:30:48 +0100

r-cran-av (0.6.0+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.6.0+dfsg

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 10:24:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                libavfilter-dev,
                ffmpeg
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
 Homepage: https://cran.r-project.org/package=av

## r-cran-av 0.8.0+dfsg

=== debian/changelog ===
r-cran-av (0.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.0+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:09:57 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                libavfilter-dev,
                ffmpeg
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
 Homepage: https://cran.r-project.org/package=av

## r-cran-av 0.8.2+dfsg

=== debian/changelog ===
r-cran-av (0.8.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 10:38:49 +0200

r-cran-av (0.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 19:11:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-av
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
+Homepage: https://cran.r-project.org/package=av
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libavfilter-dev,
                ffmpeg
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
-Homepage: https://cran.r-project.org/package=av
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-av
 Architecture: any

## r-cran-av 0.8.3+dfsg

=== DESCRIPTION ===
Package: av
Type: Package
Title: Working with Audio and Video in R
Version: 0.8.3
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'FFmpeg' <http://www.ffmpeg.org/> AV library for working with 
    audio and video in R. Generates high quality video from images or R graphics with 
    custom audio. Also offers high performance tools for reading raw audio, creating
    'spectrograms', and converting between countless audio / video formats. This package 
    interfaces directly to the C API and does not require any command line utilities.
License: MIT + file LICENSE
URL: https://ropensci.r-universe.dev/av, https://docs.ropensci.org/av/
BugReports: https://github.com/ropensci/av/issues
Encoding: UTF-8
RoxygenNote: 7.2.1
SystemRequirements: FFmpeg (>= 3.2); with at least libx264 and lame
        (mp3) drivers. Debian/Ubuntu: libavfilter-dev, Fedora/CentOS:
        ffmpeg-devel (via https://rpmfusion.org), MacOS Homebrew:
        ffmpeg.
Depends: R (>= 3.5)
Imports: graphics
Config/pkgdown: seewave, ggplot2, phonTools, signal, tuneR
Suggests: testthat, ps, ggplot2, gapminder
Language: en-US
NeedsCompilation: yes
Packaged: 2023-02-05 20:44:25 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2023-02-05 23:42:35 UTC

=== debian/changelog ===
r-cran-av (0.8.3+dfsg-2) unstable; urgency=medium

  * Rebuild against latest r-base
    Closes: #1039643

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jul 2023 15:24:57 +0200

r-cran-av (0.8.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Feb 2023 11:23:59 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-ps,
         r-cran-ggplot2
Restrictions: allow-stderr

## r-cran-av 0.8.4+dfsg

=== debian/changelog ===
r-cran-av (0.8.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 11:43:41 +0200

## r-cran-av 0.9.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: av
 Type: Package
 Title: Working with Audio and Video in R
-Version: 0.8.3
+Version: 0.9.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'FFmpeg' <http://www.ffmpeg.org/> AV library for working with 
@@ -15,17 +15,17 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.1
 SystemRequirements: FFmpeg (>= 3.2); with at least libx264 and lame
-        (mp3) drivers. Debian/Ubuntu: libavfilter-dev, Fedora/CentOS:
-        ffmpeg-devel (via https://rpmfusion.org), MacOS Homebrew:
-        ffmpeg.
+        (mp3) drivers. MacOS Homebrew: ffmpeg. Debian/Ubuntu:
+        libavfilter-dev. Fedora/CentOS: either ffmpeg-free-devel or
+        (via https://rpmfusion.org) ffmpeg-devel.
 Depends: R (>= 3.5)
 Imports: graphics
 Config/pkgdown: seewave, ggplot2, phonTools, signal, tuneR
 Suggests: testthat, ps, ggplot2, gapminder
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2023-02-05 20:44:25 UTC; jeroen
+Packaged: 2023-12-04 22:26:50 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-02-05 23:42:35 UTC
+Date/Publication: 2023-12-05 00:30:03 UTC

=== debian/changelog ===
r-cran-av (0.9.0+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:23:41 +0200

r-cran-av (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2023 14:44:42 +0100

r-cran-av (0.8.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2023 21:41:09 +0200

r-cran-av (0.8.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2023 08:31:53 +0200

## r-cran-av 0.9.5+dfsg

=== DESCRIPTION ===
Package: av
Type: Package
Title: Working with Audio and Video in R
Version: 0.9.5
Authors@R: 
    person("Jeroen", "Ooms", , "jeroenooms@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'FFmpeg' <http://www.ffmpeg.org/> AV library for working with 
    audio and video in R. Generates high quality video from images or R graphics with 
    custom audio. Also offers high performance tools for reading raw audio, creating
    'spectrograms', and converting between countless audio / video formats. This package 
    interfaces directly to the C API and does not require any command line utilities.
License: MIT + file LICENSE
URL: https://ropensci.r-universe.dev/av, https://docs.ropensci.org/av/
BugReports: https://github.com/ropensci/av/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
SystemRequirements: FFmpeg (>= 3.2); with at least libx264 and lame
        (mp3) drivers. MacOS Homebrew: ffmpeg. Debian/Ubuntu:
        libavfilter-dev. Fedora/RHEL: either ffmpeg-devel from
        https://rpmfusion.org (preferred), or libavfilter-free-devel
        which is a more limited version available on Fedora/EPEL9.
Depends: R (>= 3.5)
Imports: graphics
Config/Needs/website: seewave, ggplot2, phonTools, signal, tuneR
Suggests: curl, testthat, ps, ggplot2, gapminder
Language: en-US
NeedsCompilation: yes
Packaged: 2025-08-25 16:35:19 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (ORCID: <https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-08-25 17:10:02 UTC

=== debian/changelog ===
r-cran-av (0.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Aug 2025 06:27:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
 Homepage: https://cran.r-project.org/package=av
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	ffmpeg -f lavfi -i anullsrc=r=44100:cl=mono -t 10 -acodec libmp3lame $(debRlib)/$(cranNameOrig)/samples/Synapsis-Wonderland.mp3

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-ps,
        r-cran-ggplot2
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/av_([-\d.]*)\.tar\.gz

## r-cran-av 0.9.6+dfsg

=== debian/changelog ===
r-cran-av (0.9.6+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:11:10 +0000

r-cran-av (0.9.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 14:43:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: r-cran-av
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
-Homepage: https://cran.r-project.org/package=av
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libavfilter-dev,
-               ffmpeg
-Testsuite: autopkgtest-pkg-r
+               ffmpeg,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-av
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-av.git
+Homepage: https://cran.r-project.org/package=av
+Rules-Requires-Root: no
 
 Package: r-cran-av
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-testthat,
        r-cran-ps,
        r-cran-ggplot2
Restrictions: allow-stderr
